import { GunQueue } from "./GunQueue";
import { MiddlewareSystem } from "./MiddlewareSystem";
import { GunEvent } from "./GunEvent";
export declare class GunProcessQueue<T = GunMsg, U = any, V = any> extends GunQueue<T> {
    middleware: MiddlewareSystem<T, U, V>;
    isProcessing: boolean;
    completed: GunEvent<T>;
    constructor(name?: string);
    processNext(b?: U, c?: V): Promise<T | undefined>;
    process(): Promise<void>;
}
