import { GunGraph } from './GunGraph';
/**
 * Query state around a single node in the graph
 */
export declare class GunGraphNode {
    soul: string;
    private _data;
    private _graph;
    private _endCurQuery?;
    private _updateGraph;
    constructor(graph: GunGraph, soul: string, updateGraph: (data: GunGraphData, replyToId?: string) => void);
    listenerCount(): number;
    get(cb?: GunNodeListenCb): this;
    receive(data: GunNode | undefined): this;
    on(cb: (data: GunNode | undefined, soul: string) => void): this;
    off(cb?: (data: GunNode | undefined, soul: string) => void): this;
    private _ask;
    private _onDirectQueryReply;
}
