export declare function generateMessageId(): string;
export declare function addMissingState(graphData: GunGraphData): {
    [x: string]: GunNode | undefined;
};
export declare function diffGunCRDT(updatedGraph: GunGraphData, existingGraph: GunGraphData, opts?: {
    machineState?: number;
    futureGrace?: number;
    Lexical?: (x: GunValue) => any;
}): GunGraphData | undefined;
export declare function diffSets(initial: string[], updated: string[]): string[][];
export declare function mergeGunNodes(existing: GunNode | undefined, updates: GunNode | undefined): GunNode | undefined;
export declare function mergeGraph(existing: GunGraphData, diff: GunGraphData): GunGraphData;
export declare function nodeToGraph(node: GunNode): GunGraphData;
export declare function flattenGraphData(data: GunGraphData): GunGraphData;
export declare function getPathData(keys: string[], graph: GunGraphData): PathData;
