"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var GunQueue = /** @class */ (function () {
    function GunQueue(name) {
        if (name === void 0) { name = "GunQueue"; }
        this.name = name;
        this._queue = [];
    }
    GunQueue.prototype.count = function () {
        return this._queue.length;
    };
    GunQueue.prototype.enqueue = function (item) {
        if (this._queue.indexOf(item) !== -1)
            return this;
        this._queue.splice(0, 0, item);
        return this;
    };
    GunQueue.prototype.dequeue = function () {
        return this._queue.pop();
    };
    GunQueue.prototype.enqueueMany = function (items) {
        var _a;
        (_a = this._queue).splice.apply(_a, __spreadArrays([0, 0], items.slice().reverse()));
        return this;
    };
    return GunQueue;
}());
exports.GunQueue = GunQueue;
//# sourceMappingURL=GunQueue.js.map